/***************************************************
 RKTN_TST_RP FIRMWARE R1 V0.1

 Developed for the board of the same name.
 Based on the ATMega1284P/644P.
***************************************************/ 

#include "pins.h"
#include <avr/io.h>
#include <util/delay.h>
#include "systest.h"

int main(void)
{       

  /************************************************ 
   Configure the IO of the system.

   DDRB &= ~(1 << PB0)   <-- as input
   DDRB |= (1 << PB0)    <-- as output
  *************************************************/

    // "Attempt" LEDs.
    // Configured as output.
    DDRA |= (1 << LED_T1);
    DDRA |= (1 << LED_T2);
    DDRA |= (1 << LED_T3);
    DDRA |= (1 << LED_T4);
    DDRA |= (1 << LED_T5);

    // "Status" LEDs.
    // Configured as output.
    DDRC |= (1 << LED_LATE);
    DDRC |= (1 << LED_EARLY);
    DDRC |= (1 << LED_COIN);
    
  // Infinite loop
  while(1)
  {
    systest();

    _delay_ms(1000);
  }
    
  return 0;
}