/***************************************************
 System test function.
 Tests the various mechanics and feedbacks
 of the system to aid in troubleshooting.
***************************************************/ 

#include <avr/io.h>
#include <util/delay.h>
#include "pins.h"
#include "display.h"
#include "systest.h"

// Perform a system test
void systest(void)
{
    uint8_t i;

    // Blink front LEDs 5 times
    for (i = 0; i < 5; i++) {
        // Turn on all LEDs
        PORTA |= (1 << LED_T1);
        PORTA |= (1 << LED_T2);
        PORTA |= (1 << LED_T3);
        PORTA |= (1 << LED_T4);
        PORTA |= (1 << LED_T5);
        PORTC |= (1 << LED_LATE);
        PORTC |= (1 << LED_EARLY);
        PORTC |= (1 << LED_COIN);
        _delay_ms(500);
        
        // Turn off all LEDs
        PORTA &= ~(1 << LED_T1);
        PORTA &= ~(1 << LED_T2);
        PORTA &= ~(1 << LED_T3);
        PORTA &= ~(1 << LED_T4);
        PORTA &= ~(1 << LED_T5);
        PORTC &= ~(1 << LED_LATE);
        PORTC &= ~(1 << LED_EARLY);
        PORTC &= ~(1 << LED_COIN);
        _delay_ms(500);
    }

    _delay_ms(1000);
    // Create an instance of the CD4511 class
    Display display(false); // Set inverse to false (or true if you need inverted logic)
    //display.update(1, 2);

    //Display digits 0 to 9 in sequence
    for (uint8_t x = 0; x < 5; ++x) {
        for (uint8_t i = 0; i < 10; ++i) {
        display.update(x, i);  // Write the current digit to the CD4511
        _delay_ms(500);    // Wait for 1 second before changing the digit
        }
    }

}